## class OSGDB_EXPORT osgDB::DotOsgWrapper

> Wrapper class for specifying read and write functions for extending the osg file format.

## Inheritance:

### Public Methods

typedef bool (*ReadFunc)(osg::Object&, osgDB::Input&)
typedef bool (*WriteFunc)(const osg::Object&, osgDB::Output&)
DotOsgWrapper(osg::Object* proto, const std::string& name, const std::string& associates, ReadFunc readFunc, WriteFunc writeFunc, ReadWriteMode readWriteMode=READ_AND_WRITE)
inline const osg::Object* getPrototype() const
inline const std::string& getName() const
inline const Associates& getAssociates() const
inline ReadFunc getReadFunc() const
inline WriteFunc getWriteFunc() const
inline ReadWriteMode getReadWriteMode() const

### Public Members

typedef std::vector<std::string> Associates
enum ReadWriteMode

### Protected Fields

osg::ref_ptr<osg::Object> _prototype
std::string _name
Associates _associates
ReadFunc _readFunc
WriteFunc _writeFunc
ReadWriteMode _readWriteMode

### Protected Methods

DotOsgWrapper()
  protected to prevent inappropriate creation of wrappers
DotOsgWrapper(DotOsgWrapper&)
  protected to prevent inappropriate creation of wrappers
virtual ~DotOsgWrapper()
  protected to prevent wrapper being created on stack

## Documentation

> Wrapper class for specifying read and write functions for extending the osg file format.

`typedef std::vector<std::string> Associates`

`typedef bool (*ReadFunc)(osg::Object&, osgDB::Input&)`

`typedef bool (*WriteFunc)(const osg::Object&, osgDB::Output&)`

`enum ReadWriteMode`

`READ_AND_WRITE`

`READ_ONLY`

`DotOsgWrapper(osg::Object* proto, const std::string& name, const std::string& associates, ReadFunc readFunc, WriteFunc writeFunc, ReadWriteMode readWriteMode=READ_AND_WRITE)`

`inline const osg::Object* getPrototype() const`

`inline const std::string& getName() const`

`inline const Associates& getAssociates() const`

`inline ReadFunc getReadFunc() const`

`inline WriteFunc getWriteFunc() const`

`inline ReadWriteMode getReadWriteMode() const`

`DotOsgWrapper()`
  protected to prevent inappropriate creation of wrappers

`DotOsgWrapper(DotOsgWrapper&)`
  protected to prevent inappropriate creation of wrappers

`virtual ~DotOsgWrapper()`
  protected to prevent wrapper being created on stack

`osg::ref_ptr<osg::Object> _prototype`

`std::string _name`

`Associates _associates`

`ReadFunc _readFunc`

`WriteFunc _writeFunc`

`ReadWriteMode _readWriteMode`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.